Subject: Re: linux-next: ftrace tree build failure

From: Steven Rostedt <[email-masked]>
Date: Mon, 24 Nov 2008 23:31:33 -0500

On Tue, 2008-11-25 at 15:13 +1100, Stephen Rothwell wrote:
> Hi Steve,
> 
> On Mon, 24 Nov 2008 22:48:51 -0500 Steven Rostedt <[email-masked]> wrote:
> >
> > Could you post a git branch that had this failure, so I can compile it
> > to see what happened?
> 
> ssh://master.kernel.org/~sfr/ftrace master
> 
> to get the failure, I did:
> 
> make ARCH=x86_64 allmodconfig
> make ARCH=x86_64 arch/x86/boot/tty.o
> 
> My machine is Debian sid.
> 
> $ gcc --version
> gcc (Debian 4.3.2-1) 4.3.2
> $ ld --version
> GNU ld (GNU Binutils for Debian) 2.18.0.20080103
> 
> The original failure was with a gcc 4.3.2 cross compiled for a powerpc
> host and a binutils 2.19.
> 
> You can see which trees are merged by looking for commits by me.

This may be a compiler bug, or something introduced by the compiler. I
compiled it fine first with gcc 4.0.2, but then tried with the same
compiler you used, and got the same error as you.

I'll look more at it.

Thanks,

-- Steve